<template>
  <div
    style="
      width: 100%;
      height: 100%;
      overflow: hidden;
      display: flex;
      justify-content: center;
      align-items: center;
    "
  >
    <div class="mian">
      <div class="main_t">
        <div
          class="item"
          style="background-color: #ff4081"
          @click="router.push('/Craftcenter')"
        >
          <span>工艺中心</span>
          <div class="count">
            <img src="@/assets/index/icon/icon1.png" alt="" />
          </div>
        </div>
        <div
          class="item"
          style="background-color: #ffa726"
          @click="router.push('/Taskmanagement')"
        >
          <span>任务管理</span>
          <div class="count">
            <img src="@/assets/index/icon/icon2.png" alt="" />
          </div>
        </div>
        <div
          class="item"
          style="background-color: #00bbde"
          @click="router.push('/Thecurrentjob')"
        >
          <span>当前作业</span>
          <div class="count">
            <img src="@/assets/index/icon/icon3.png" alt="" />
          </div>
        </div>
      </div>
      <div class="main_b">
        <div
          class="item"
          style="background-color: #9ccc65"
          @click="router.push('/Datalogging')"
        >
          <span>数据记录</span>
          <div class="count">
            <img src="@/assets/index/icon/icon4.png" alt="" />
          </div>
        </div>
        <div
          class="item"
          style="background-color: #669cff"
          @click="router.push('/Usermanagement')"
        >
          <span>用户管理</span>
          <div class="count">
            <img src="@/assets/index/icon/icon5.png" alt="" />
          </div>
        </div>
        <div
          class="item"
          style="background-color: #78909c"
          @click="router.push('/Basicinformation')"
        >
          <span>基础信息</span>
          <div class="count">
            <img src="@/assets/index/icon/icon6.png" alt="" />
          </div>
        </div>
        <div
          class="item"
          style="background-color: #2200de"
          @click="router.push('/Largescreen')"
        >
          <span>数字大屏</span>
          <div class="count">
            <img src="@/assets/index/icon/icon6.png" alt="" />
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script setup>
import { ref, onMounted, onUnmounted, nextTick } from "vue";
import { useRouter } from "vue-router";
const router = useRouter();

onMounted(() => {});

onUnmounted(() => {});
</script>

<style lang="less" scoped>
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
.mian {
  width: 80rem;
  display: flex;
  flex-direction: column;

  .main_t {
    display: flex;
    justify-content: space-between;
    .item {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      width: 25rem;
      height: 18.75rem;
      background-color: #fff;
      span {
        display: flex;
        text-align: left;
        font-size: 1.88rem;
        color: rgba(255, 255, 255, 1);
        font-weight: bold;
        padding-left: 2rem;
        padding-top: 0.78rem;
        box-sizing: border-box;
      }
      .count {
        display: flex;
        justify-content: flex-end;
        align-items: flex-end;
        img {
          width: 6.25rem;
          height: 6.25rem;
        }
      }
    }
  }
  .main_b {
    display: flex;
    justify-content: space-between;
    margin-top: 1.56rem;
    .item {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      width: 18.69rem;
      height: 13.94rem;
      background-color: #ac0707;
      span {
        display: flex;
        text-align: left;
        font-size: 1.88rem;
        color: rgba(255, 255, 255, 1);
        padding-left: 2rem;
        padding-top: 0.78rem;
        font-weight: bold;
        box-sizing: border-box;
      }
      .count {
        display: flex;
        justify-content: flex-end;
        align-items: flex-end;
        img {
          width: 4.69rem;
          height: 4.69rem;
        }
      }
    }
  }
}
</style>
